module Shitceptions
  # @author Seth Vargo <sethvargo@gmail.com>
  class ShittyArgumentError < StandardError
    def initialize(klass)
      @klass
    end

    def to_s
      "Expected klass to be of type Class, but was #{@klass.inspect}"
    end
  end

  # @author Seth Vargo <sethvargo@gmail.com>
  class ShittyEmojiError < StandardError
    def initialize(name)
      @name
    end

    def to_s
      [
        "Unknown emoji #{@name.inspect}. Did you mean one of:",
        "",
        Shitceptions::EMOJIS.keys.join("\n"),
        "",
        "?"
      ]
    end
  end
end
